Package com.arms.api.analysis.topmenu.controller

## Class TopMenuController

- java.lang.Object
- - com.arms.api.analysis.topmenu.controller.TopMenuController

-     @RestController
      @RequestMapping("/arms/analysis")
      public class TopMenuController
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TopMenuController()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.springframework.http.ResponseEntity<TopMenuVO>` | `analysisTopMenuData​(java.lang.String changeReqTableName, TopMenuAnalysisDTO topMenuAnalysisDTO)` |
    `org.springframework.http.ResponseEntity<?>` | `analysisTopMenuReqStatusSummary​(java.lang.String changeReqTableName, TopMenuAnalysisDTO topMenuAnalysisDTO)` |
    `org.springframework.http.ResponseEntity<?>` | `analysisTopMenuSubTaskStatusSummary​(TopMenuAnalysisDTO topMenuAnalysisDTO)` |
    `org.springframework.http.ResponseEntity<?>` | `analysisTopMenuVersionPeriod​(TopMenuAnalysisDTO topMenuAnalysisDTO)` |
    `org.springframework.http.ResponseEntity<?>` | `topMenuResourceInfoWithReqAndSubtask​(TopMenuAnalysisDTO topMenuAnalysisDTO)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TopMenuController

          public TopMenuController()

  - ### Method Detail

    - #### analysisTopMenuReqStatusSummary

          @PostMapping("/top-menu/{changeReqTableName}/getReqAddListByFilter")
          public org.springframework.http.ResponseEntity<?> analysisTopMenuReqStatusSummary​(@PathVariable("changeReqTableName")
                                                                                            java.lang.String changeReqTableName,
                                                                                            @RequestBody
                                                                                            TopMenuAnalysisDTO topMenuAnalysisDTO)
                                                                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### analysisTopMenuData

          @PostMapping("/top-menu/{changeReqTableName}/comprehensive-data")
          public org.springframework.http.ResponseEntity<TopMenuVO> analysisTopMenuData​(@PathVariable("changeReqTableName")
                                                                                        java.lang.String changeReqTableName,
                                                                                        @RequestBody
                                                                                        TopMenuAnalysisDTO topMenuAnalysisDTO)
                                                                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### analysisTopMenuSubTaskStatusSummary

          @GetMapping("/top-menu/issue/req-and-subtask")
          public org.springframework.http.ResponseEntity<?> analysisTopMenuSubTaskStatusSummary​(TopMenuAnalysisDTO topMenuAnalysisDTO)
                                                                                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### topMenuResourceInfoWithReqAndSubtask

          @GetMapping("/top-menu/resource-info")
          public org.springframework.http.ResponseEntity<?> topMenuResourceInfoWithReqAndSubtask​(TopMenuAnalysisDTO topMenuAnalysisDTO)
                                                                                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### analysisTopMenuVersionPeriod

          @GetMapping("/top-menu/version/period")
          public org.springframework.http.ResponseEntity<?> analysisTopMenuVersionPeriod​(TopMenuAnalysisDTO topMenuAnalysisDTO)
                                                                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`